<?php
// Version: 2.0 RC2; Post

// The main template for the post page.
function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// Start the javascript... and boy is there a lot.
	echo '
		<script type="text/javascript"><!-- // --><![CDATA[
			var icon_urls = {';
	foreach ($context['icons'] as $icon)
		echo '
				', $icon['value'], ': \'', $icon['url'], '\'', $icon['is_last'] ? '' : ',';
	echo '
			};
			$(function()
			{
				if (is_ios)
					$("#attach_area").hide();

				$("#icon").live("change", function()
				{
					$("#icon_img").attr("src", icon_urls[$(this).val()]);
				});
				$("#add_attachment").tap(function()
				{
					var grid_container = $(\'<div class="ui-grid-a"></div>\').appendTo($("#attach_area"));
					var block = $(\'<div class="ui-block-a"></div>\').appendTo(grid_container);
					var input = $(\'<input type="file" name="attachment[]" />\').appendTo(block).textinput();
					var block2 = $(\'<div class="ui-block-b"></div>\').appendTo(grid_container);
					var remove = $(\'<a href="#" data-role="button" data-icon="delete" data-iconpos="notext">', $txt['clean_attach'], '</a>\')
						.tap(function()
						{
							$(this).parent().parent().remove();
						})
						.appendTo(block2)
						.buttonMarkup();
				});
			});
		// ]]></script>';

	// Show the preview of the personal message.
	if (!empty($context['preview_message']))
		echo '
		<ul class="ui-listview ui-listview-inset ui-corner-all ui-shadow" data-theme="c" data-dividertheme="b">
			<li class="ui-bar-b ui-corner-top" role="heading">
				<div class="ui-bar">
					', $context['preview_subject'], '
				</div>
			</li>
			<li class="ui-li ui-corner-bottom ui-btn-up-c ui-li-static">
				<div class="ui-btn-text" style="white-space: normal;">
					<div style="white-space: normal;">', $context['preview_message'], '</div>
				</div>
			</li>
		</ul>';

	echo '
		<form action="', $scripturl, '?action=', $context['destination'], ';', empty($context['current_board']) ? '' : 'board=' . $context['current_board'], '" method="post" accept-charset="', $context['character_set'], '" enctype="multipart/form-data">
			<ul data-role="listview" data-inset="true"> ';

	// Start the main table.
	echo '
			', isset($context['current_topic']) ? '
			<input type="hidden" name="topic" value="' . $context['current_topic'] . '" />' : '', '';

	// If an error occurred, explain what happened.
	if (!empty($context['post_error']['messages']))
	echo '
			<li data-theme="c" data-role="fieldcontain">
				<strong>', $txt['error_while_submitting'], '</strong><br />
				', empty($context['post_error']['messages']) ? '' : implode('<br />', $context['post_error']['messages']), '
			<li>';

	// If this won't be approved let them know!
	if (!$context['becomes_approved'])
	{
		echo '
			<li data-theme="c" data-role="fieldcontain">
				<em>', $txt['wait_for_approval'], '</em>
				<input type="hidden" name="not_approved" value="1" />
			</li>';
	}

	if ($context['locked'])
	// If it's locked, show a message to warn the replyer.
		echo '
			<li data-theme="c" data-role="fieldcontain">
				', $txt['topic_locked_no_reply'], '
			</li>';

	// Guests have to put in their name and email...
	if (isset($context['name']) && isset($context['email']))
	{
		echo '
			<li data-role="fieldcontain">
				<label for="guestname">', $txt['name'], ':</label>
				<input type="text" name="guestname" id="guestname" size="25" value="', $context['name'], '" tabindex="', $context['tabindex']++, '" class="input_text" />
			</li>';

		if (empty($modSettings['guest_post_no_email']))
			echo '
			<li data-role="fieldcontain">
				<label for="guestemail">', $txt['email'], ':</label>
				<input type="text" id="guestemail" name="email" size="25" value="', $context['email'], '" tabindex="', $context['tabindex']++, '" class="input_text" />
			</li>';
	}

	// Is visual verification enabled?
	if ($context['require_verification'])
	{
		echo template_control_verification($context['visual_verification_id'], 'all');
	}

	// If this is a poll then display all the poll options!
	if ($context['make_poll'])
	{
		echo '
			<li data-role="list-divider">', $txt['poll_options'], '</li>
			<li data-role="fieldcontain">
				<label for="poll_question">', $txt['poll_question'], ':</label>
				<input type="text" name="question" id="poll_question" value="', isset($context['question']) ? $context['question'] : '', '" tabindex="', $context['tabindex']++, '" size="30" class="input_text" />
			</li>
			<li data-role="fieldcontain">';

		// Loop through all the choices and print them out.
		foreach ($context['choices'] as $choice)
		{
			echo '
				<label for="options-', $choice['id'], '">', $txt['option'], ' ', $choice['number'], '</label>
				<input type="text" name="options[', $choice['id'], ']" id="options-', $choice['id'], '" value="', $choice['label'], '" tabindex="', $context['tabindex']++, '" size="25" class="input_text" />';
		}

		echo '
			</li>
			<li data-role="fieldcontain">
				<label for="poll_max_votes">', $txt['poll_max_votes'], ':</label>
				<input type="number" name="poll_max_votes" size="2" value="', $context['poll_options']['max_votes'], '" class="input_text" id="poll_max_votes" />
			</li>
			<li data-role="fieldcontain">
				<label for="poll_expire">', $txt['poll_run'], ':</label>
				<input type="number" id="poll_expire" name="poll_expire" size="2" value="', $context['poll_options']['expire'], '" onchange="pollOptions();" maxlength="4" class="input_text" />
			</li>
			<li data-role="fieldcontain">
				<label for="poll_change_vote">', $txt['poll_do_change_vote'], ':</label>
				<select id="poll_change_vote" name="poll_change_vote" data-role="slider">
					<option value="0">', $txt['no'], '</option>
					<option value="1">', $txt['yes'], '</option>
				</select>
			</li>';

		if ($context['poll_options']['guest_vote_enabled'])
			echo '
			<li data-role="fieldcontain">
				<label for="poll_guest_vote">', $txt['poll_guest_vote'], ':</label>
				<input type="checkbox" id="poll_guest_vote" name="poll_guest_vote"', !empty($context['poll_options']['guest_vote']) ? ' checked="checked"' : '', ' class="input_check" />
			</li>';

		echo '
			<li data-role="fieldcontain">
				<label for="poll_hide">Hide poll options:</label>
				<select name="poll_hide" id="poll_hide">
					<option value="0">', $txt['poll_results_anyone'], '</option>
					<option value="1">', $txt['poll_results_voted'], '</option>
					<option value="2">', $txt['poll_results_voted'], '</option>
				</select>
			</li>';
	}

	echo '
			<li data-role="list-divider">', $txt['post'], '</li>
			<li data-role="fieldcontain" style="padding-left: 10px;">
				<label for="icon">', $txt['message_icon'], ':<img src="', $context['icon_url'], '" id="icon_img" alt="" style="position: relative;" /></label>
				<select name="icon" id="icon">';

	// Loop through each message icon allowed, adding it to the drop down list.
	foreach ($context['icons'] as $icon)
		echo '
					<option value="', $icon['value'], '"', $icon['value'] == $context['icon'] ? ' selected="selected"' : '', '>
							', $icon['name'], '
					</option>';

	echo '
				</select>
			</li>';
	// Now show the subject box for this post.
	echo '
			<li data-role="fieldcontain"> 
				<label for="subject">', $txt['subject'], '</label>
				<input type="text" name="subject" id="subject"', $context['subject'] == '' ? '' : ' value="' . $context['subject'] . '"', ' tabindex="', $context['tabindex']++, '" size="40" maxlength="80" class="input_text" />
			</li>';
	echo '
			<li data-role="fieldcontain">
				<label for="message">', $txt['message'], ':</label>
				<textarea id="message" class="editor" rows="12" name="message">', $context['message'], '</textarea>
			</li>';

	echo '
			</ul><ul data-role="listview" data-inset="true">
			<script type="text/javascript" languag="JavaScript">
				$(function()
				{
					$("[data-extra=true]").hide();
					$("[data-add-head=true]").live("vclick", function()
					{
						if ($(this).attr("data-open") == "true")
						{
							$("[data-extra=true]").hide();
							$(this).addClass("ui-corner-bottom").attr("data-open", "false");
						}
						else
						{
							$("[data-extra=true]").show();
							$(this).removeClass("ui-corner-bottom").attr("data-open", "true");
						}
					});
				});
			</script>
			<li data-role="list-divider" class="ui-bar-b ui-corner-top ui-corner-bottom ui-btn ui-btn-b ui-btn-up-b" data-add-head="true">', $txt['post_additionalopt'], '</li>';

	if (!empty($context['current_attachments']))
	{
		foreach ($context['current_attachments'] as $attachment)
			echo '
			<li data-role="fieldcontain" data-extra="true">
					<label for="attachment_', $attachment['id'], '">', $attachment['name'], (empty($attachment['approved']) ? ' (' . $txt['awaiting_approval'] . ')' : ''), '</label>
					<input type="checkbox" id= "attachment_', $attachment['id'], '" name="attach_del[]" value="', $attachment['id'], '"', empty($attachment['unchecked']) ? ' checked="checked"' : '', ' class="input_check" />
				</li>';
	}

	if ($context['can_post_attachment'])
	{
		echo '
				<li data-role="fieldcontain" id="attach_area" data-icon="plus" data-extra="true">
					<a href="#" id="add_attachment" data-role="button" data-inline="true" style="padding:0; color:white!important;">', $txt['add_attachment'], '</a>';

		// Show some useful information such as allowed extensions, maximum size and amount of attachments allowed.
		if (!empty($modSettings['attachmentCheckExtensions']))
			echo '
					<div class="smalltext">', $txt['allowed_types'], ': ', $context['allowed_extensions'], '</div>';

		if (!empty($context['attachment_restrictions']))
			echo '
					<div class="smalltext">', $txt['attach_restrictions'], ' ', implode(', ', $context['attachment_restrictions']), '</div>';

		if (!$context['can_post_attachment_unapproved'])
			echo '
					<div class="alert">', $txt['attachment_requires_approval'], '</div>';
		echo '
				</li>';
	}

	if ($context['can_notify'])
		echo '
					<li data-role="fieldcontain" data-extra="true">
						<input type="hidden" name="notify" value="0" />
						<label for="check_notify">', $txt['notify_replies'], '</label>
						<select name="notify" id="check_notify" data-role="slider">
							<option value="0">', $txt['no'], '</option>
							<option value="1"', $context['notify'] || !empty($options['auto_notify']) ? ' selected="selected"' : '', '>', $txt['yes'], '</option>
						</select>
					</li>';
	if ($context['can_lock'])
		echo '
					<li data-role="fieldcontain" data-extra="true">
						<input type="hidden" name="lock" value="0" />
						<label for="check_lock">', $txt['lock_topic'], '</label>
						<select name="lock" id="check_lock" data-role="slider">
							<option value="0">', $txt['no'], '</option>
							<option value="1"', $context['locked'] ? ' selected="selected"' : '', '>', $txt['yes'], '</option>
						</select>
					</li>';
	echo '
					<li data-role="fieldcontain" data-extra="true">
						<label for="check_back">', $txt['back_to_topic'], '</label>
						<select name="goback" id="check_back" data-role="slider">
							<option value="0">', $txt['no'], '</option>
							<option value="1"', $options['return_to_post'] ? ' selected="selected"' : '', '>', $txt['yes'], '</option>
						</select>
					</li>';
	if ($context['can_sticky'])
		echo '
					<li data-role="fieldcontain" data-extra="true">
						<label for="check_sticky">', $txt['sticky_after'], '</label>
						<select name="sticky" id="check_sticky" data-role="slider">
							<option value="0">', $txt['no'], '</option>
							<option value="1"', $context['sticky'] ? ' selected="selected"' : '', '>', $txt['yes'], '</option>
						</select>
					</li>';
	echo '
					<li data-role="fieldcontain" data-extra="true">
						<label for="check_smiley">', $txt['dont_use_smileys'], '</label>
						<select name="ns" id="check_smiley" data-role="slider">
							<option value="0">', $txt['no'], '</option>
							<option value="1"', $context['use_smileys'] ? '' : ' selected="selected"', '>', $txt['yes'], '</option>
						</select>
					</li>';
	if ($context['can_move'])
		echo '
					<li data-role="fieldcontain" data-extra="true">
						<label for="check_move">', $txt['move_after2'], '</label>
						<select name="move" id="check_move" data-role="slider">
							<option value="0">', $txt['no'], '</option>
							<option value="1"', !empty($context['move']) ? ' selected="selected"' : '', '>', $txt['yes'], '</option>
						</select>
					</li>';
	if ($context['show_approval'])
		echo '
					<li data-role="fieldcontain" data-extra="true">
						<label for="check_approve">', $txt['approve_this_post'], '</label>
						<select name="approve" id="check_approve" data-role="slider">
							<option value="0">', $txt['no'], '</option>
							<option value="1"', $context['show_approval'] === 2 ? ' selected="selected"' : '', '>', $txt['yes'], '</option>
						</select>
					</li>';
	echo '
			</li></ul>';

	// Finally, the submit buttons.
	echo template_control_richedit_buttons($context['post_box_name']);

	// Assuming this isn't a new topic pass across the number of replies when the topic was created.
	if (isset($context['num_replies']))
		echo '
			<input type="hidden" name="num_replies" value="', $context['num_replies'], '" />';

	echo '
			<input type="hidden" name="additional_options" id="additional_options" value="', $context['show_additional_options'] ? '1' : '0', '" />
			<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
			<input type="hidden" name="seqnum" value="', $context['form_sequence_number'], '" />
		</form>';
}

// The template for the spellchecker.
function template_spellcheck()
{
	global $context, $settings, $options, $txt;

	// The style information that makes the spellchecker look... like the forum hopefully!
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<title>', $txt['spell_check'], '</title>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index.css" />
		<style type="text/css">
			body, td
			{
				font-size: small;
				margin: 0;
				background: #f0f0f0;
				color: #000;
				padding: 10px;
			}
			.highlight
			{
				color: red;
				font-weight: bold;
			}
			#spellview
			{
				border-style: outset;
				border: 1px solid black;
				padding: 5px;
				width: 95%;
				height: 314px;
				overflow: auto;
				background: #ffffff;
			}';

	// As you may expect - we need a lot of javascript for this... load it form the separate files.
	echo '
		</style>
		<script type="text/javascript"><!-- // --><![CDATA[
			var spell_formname = window.opener.spell_formname;
			var spell_fieldname = window.opener.spell_fieldname;
		// ]]></script>
		<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/spellcheck.js"></script>
		<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/script.js"></script>
		<script type="text/javascript"><!-- // --><![CDATA[
			', $context['spell_js'], '
		// ]]></script>
	</head>
	<body onload="nextWord(false);">
		<form action="#" method="post" accept-charset="', $context['character_set'], '" name="spellingForm" id="spellingForm" onsubmit="return false;" style="margin: 0;">
			<div id="spellview">&nbsp;</div>
			<table border="0" cellpadding="4" cellspacing="0" width="100%"><tr class="windowbg">
				<td width="50%" valign="top">
					', $txt['spellcheck_change_to'], '<br />
					<input type="text" name="changeto" style="width: 98%;" class="input_text" />
				</td>
				<td width="50%">
					', $txt['spellcheck_suggest'], '<br />
					<select name="suggestions" style="width: 98%;" size="5" onclick="if (this.selectedIndex != -1) this.form.changeto.value = this.options[this.selectedIndex].text;" ondblclick="replaceWord();">
					</select>
				</td>
			</tr></table>
			<div class="righttext" style="padding: 4px;">
				<input type="button" name="change" value="', $txt['spellcheck_change'], '" onclick="replaceWord();" class="button_submit" />
				<input type="button" name="changeall" value="', $txt['spellcheck_change_all'], '" onclick="replaceAll();" class="button_submit" />
				<input type="button" name="ignore" value="', $txt['spellcheck_ignore'], '" onclick="nextWord(false);" class="button_submit" />
				<input type="button" name="ignoreall" value="', $txt['spellcheck_ignore_all'], '" onclick="nextWord(true);" class="button_submit" />
			</div>
		</form>
	</body>
</html>';
}

function template_quotefast()
{
	global $context, $settings, $options, $txt;

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<title>', $txt['retrieving_quote'], '</title>
		<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/script.js"></script>
	</head>
	<body>
		', $txt['retrieving_quote'], '
		<div id="temporary_posting_area" style="display: none;"></div>
		<script type="text/javascript"><!-- // --><![CDATA[';

	if ($context['close_window'])
		echo '
			window.close();';
	else
	{
		// Lucky for us, Internet Explorer has an "innerText" feature which basically converts entities <--> text. Use it if possible ;).
		echo '
			var quote = \'', $context['quote']['text'], '\';
			var stage = \'createElement\' in document ? document.createElement("DIV") : document.getElementById("temporary_posting_area");

			if (\'DOMParser\' in window && !(\'opera\' in window))
			{
				var xmldoc = new DOMParser().parseFromString("<temp>" + \'', $context['quote']['mozilla'], '\'.replace(/\n/g, "_SMF-BREAK_").replace(/\t/g, "_SMF-TAB_") + "</temp>", "text/xml");
				quote = xmldoc.childNodes[0].textContent.replace(/_SMF-BREAK_/g, "\n").replace(/_SMF-TAB_/g, "\t");
			}
			else if (\'innerText\' in stage)
			{
				setInnerHTML(stage, quote.replace(/\n/g, "_SMF-BREAK_").replace(/\t/g, "_SMF-TAB_").replace(/</g, "&lt;").replace(/>/g, "&gt;"));
				quote = stage.innerText.replace(/_SMF-BREAK_/g, "\n").replace(/_SMF-TAB_/g, "\t");
			}

			if (\'opera\' in window)
				quote = quote.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&quot;/g, \'"\').replace(/&amp;/g, "&");

			window.opener.oEditorHandle_', $context['post_box_name'], '.InsertText(quote);

			window.focus();
			setTimeout("window.close();", 400);';
	}
	echo '
		// ]]></script>
	</body>
</html>';
}
?>