var fixPageIndex = function() {
	$.each($(".pageindex"), function(index, item)
	{
		if ($(item).hasClass("processed"))
			return true;

		$(".next", item).remove();
		$(".prev", item).remove();

		if ($("strong", item).length > 0)
		{
			var prev = $("strong", item).prev();
			var next = $("strong", item).next();
			var current = $("strong", item).text();
			var replace = $("strong", item);
		}
		else
		{
			var prev = $(".pagenav_current", item).prev();
			var next = $(".pagenav_current", item).next();
			var current = $(".pagenav_current", item).text();
			var replace = $(".pagenav_current", item);
		}
		var replaceWith = $("<a></a>").attr("data-role", "button").addClass("ui-btn-active").addClass("pagenav_current").text(current);

		replace.replaceWith(replaceWith);
		$.each($("a", "item"), function(index, a)
		{
			if (!$(a).hasClass("pagenumber"))
			{
				$(a).attr("data-role", "button").addClass("ui-btn-icon-notext pagenumber");
			}
		});
		$("span", item).attr("data-role", "button").addClass("ui-btn-icon-notext pagenumber");

		if (next.length > 0)
			$("a:last", item).remove();

		$(item)
			.append($("<a></a>")
			.text(next.text())
			.attr("data-role", "button")
			.attr("data-icon", "arrow-r")
			.addClass("next")
			.attr("data-iconpos", "notext")
			.attr("href", $(".pagenav a:last", item).attr("href")));

		if (prev.length > 0)
			$("a:first", item).remove();

		$(item)
			.append($("<a></a>")
			.text(prev.text())
			.attr("data-role", "button")
			.attr("data-icon", "arrow-l")
			.addClass("prev")
			.attr("data-iconpos", "notext")
			.attr("href", $(".pagenav a:first", item).attr("href")));

		$("a", item).buttonMarkup();
		$(item).addClass("processed");

		$("div").live("pageshow", {item: item}, function(e)
		{
			var item = e.data.item;
			var o = $(".ui-btn-active", item).offset();
			var w = $(item).width();
			if (o != null && o.left > (w / 2))
			$(".pagenav", item).offset({left: (o.left - (w / 2)) * -1});
		});

		if ($("a", item).length <= 1)
			$(item).hide();
	});
};
$('div').live("pagebeforeshow", function()
{
	fixPageIndex();
	$.each($('select[data-select-menu=true]'), function(index, item)
	{
		$(item).change(function(e)
		{
			if ($(this).find('option:selected').val().length == 0)
				return true;

			if ($(this).find('option:selected').hasClass('confirm'))
			{
				var selected = $(this).find('option:selected');
				$(this).find('option:selected').removeAttr('selected');
				$(this).find('option:first').select();
				selected.confirm_dialog();
			}
			else if (!$.mobile.ajaxEnabled)
				document.location = $(this).find('option:selected').val();
			else
				$.mobile.changePage($(this).find('option:selected').val());
		})
	});
});

$.widget("mobile.confirm_dialog", $.mobile.widget, {
	options: {},
	_create: function()
	{
		if (!this.element.is("option"))
			return false;

		// Initialise the confirm dialog
		this.options.href = this.element.val();

		this.open();
	},
	open: function()
	{
		$("#confirm_dialog .dialog_message").html(this.element.attr("title"));
		$("#confirm_dialog .dialog_confirm").attr("href", this.options.href);
		if (!$.mobile.ajaxEnabled)
		{
			$("#confirm_dialog .dialog_deny").live('click', function(e)
			{
				e.preventDefault();
				e.stopPropagation();
				$.mobile.changePage($('div[data-role=page]'));
			});
		}

		$.mobile.changePage($("#confirm_dialog"));
	}
});

var displayImageFix = function()
{
	$.each($('[data-role=display_msg_body]'), function(index, item)
	{
		var li = $(item);

		$.each($('img', item), function(index, item)
		{
			$(item).load({
			li: li
			}, function(event)
			{
				var container = event.data.li;
				if ($(this).width() < container.width())
					return true;

				$(this).width(container.width());
				if (!$(this).parent().is('a'))
					$(this).wrap($('<a href="' + $(this).attr('href') + '"></a>'));
			});
		});
	});
};